Subject: bug#9296: 24.0.50; next-line/prev-line on lines with images

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Aug 2011 22:39:23 +0300

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 14 Aug 2011 19:10:06 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks for the test case.  This problem exists in Emacs 23 as well, so
> > it's not new.  I suggest to file a separate bug for it.  For now,
> > being not worse than Emacs 23.3 is good enough for me.
> 
> I've now tried this with an Emacs 24 from May that I had here.  It does
> not exhibit this bug, so this is a regression.

It's out of the question to go back to what we had in May, because
Emacs didn't support reordering of display strings back then, and it
also had several redisplay bugs that were fixed since then.
"Regression" at this point is anything that works correctly in Emacs
23, but not in Emacs 24.

> In the May version of Emacs 24, if I put point on an image and hit
> `down', it goes down and hits the first character on the next line.  Now
> it goes to column 80 on the next line, which is totally unusable.

Please show me a test case where it goes to column 80.  I don't see
this with any test case I have, including the one you sent just awhile
ago, when I try the current trunk version.

> Emacs 23 and May Emacs 24 has a different display bug, though -- if a
> line has an image and you hit `down' and the buffer scrolls, point will
> advance about the width of the image onto the next line...

Again, a lot of water went under the bridge, so talking about the May
version is a non-starter.  It would be much more useful if you show me
a reproducible test case, starting from "emacs -Q".